import com.dayou.BaseApplication;
import com.dayou.report.calculation.cityPrice.bo.BusinessCenterBaseBO;
import com.dayou.report.calculation.cityPrice.bo.BusinessCenterIndexWeightBO;
import com.dayou.report.html.builder.CityBaseLandPriceBuilder;
import lombok.extern.slf4j.Slf4j;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;


/**
 * 类说明：
 *
 * @author: wucl
 * @since: 2023/3/6
 * created with IntelliJ IDEA.
 */
@Slf4j
@SpringBootTest(classes = BaseApplication.class)
@RunWith(SpringJUnit4ClassRunner.class)
public class BrokerageTest {

    @Autowired
    private CityBaseLandPriceBuilder cityBaseLandPriceBuilder;
    @Test
   public void testCalculate(){
       List<BusinessCenterBaseBO> baseBOS = new ArrayList<>();
       BusinessCenterBaseBO b1 = BusinessCenterBaseBO.builder().no(1).name("世纪摩尔购物中心").acreage(new BigDecimal("8240")).categories("服装、购物、餐饮、娱乐、通讯、家电、珠宝等")
               .shopNum(new BigDecimal("145")).shoppingNum(new BigDecimal("3700")).rent(new BigDecimal("1100"))
               .turnover(new BigDecimal("8575")).scope("文通路上段2323号").build();
       BusinessCenterBaseBO b2 = BusinessCenterBaseBO.builder().no(2).name("北街商服中心").acreage(new BigDecimal("25161")).categories("服装、购物、餐饮、娱乐、通讯、家电、珠宝等")
               .shopNum(new BigDecimal("460")).shoppingNum(new BigDecimal("9800")).rent(new BigDecimal("1200"))
               .turnover(new BigDecimal("26502")).scope("东街、西街、南街、北街两侧区域").build();
       BusinessCenterBaseBO b3 = BusinessCenterBaseBO.builder().no(3).name("外滩休闲广场").acreage(new BigDecimal("10289")).categories("购物中心超市、百货店、文化娱乐、餐饮等")
               .shopNum(new BigDecimal("175")).shoppingNum(new BigDecimal("2300")).rent(new BigDecimal("900"))
               .turnover(new BigDecimal("5350")).scope("文通路上段2323号").build();
       baseBOS.add(b1);
       baseBOS.add(b2);
       baseBOS.add(b3);

       List<BusinessCenterIndexWeightBO> weightBOS = new ArrayList<>();
        BusinessCenterIndexWeightBO w1 = BusinessCenterIndexWeightBO.builder().name("占地面积V1").shopNum(new BigDecimal("0.45")).shoppingNum(new BigDecimal("0.35"))
                .turnover(new BigDecimal("0.30")).rent(new BigDecimal("0.30")).acreage(BigDecimal.ZERO).V6(BigDecimal.ONE).build();
        BusinessCenterIndexWeightBO w2 = BusinessCenterIndexWeightBO.builder().name("店铺数量V2").acreage(new BigDecimal("0.55")).shoppingNum(new BigDecimal("0.50"))
                .turnover(new BigDecimal("0.35")).rent(new BigDecimal("0.35")).shopNum(BigDecimal.ZERO).V6(BigDecimal.ONE).build();
        BusinessCenterIndexWeightBO w3 = BusinessCenterIndexWeightBO.builder().name("购物人次V3").acreage(new BigDecimal("0.65")).shopNum(new BigDecimal("0.50"))
                .turnover(new BigDecimal("0.40")).rent(new BigDecimal("0.45")).shoppingNum(BigDecimal.ZERO).V6(BigDecimal.ONE).build();
        BusinessCenterIndexWeightBO w4 = BusinessCenterIndexWeightBO.builder().name("营业额V4").acreage(new BigDecimal("0.70")).shopNum(new BigDecimal("0.65"))
                .shoppingNum(new BigDecimal("0.60")).turnover(BigDecimal.ZERO).V6(BigDecimal.ONE)
                .rent(new BigDecimal("0.60")).build();
        BusinessCenterIndexWeightBO w5 = BusinessCenterIndexWeightBO.builder().name("平均租金V5").acreage(new BigDecimal("0.70")).shopNum(new BigDecimal("0.65")).shoppingNum(new BigDecimal("0.55"))
                .turnover(new BigDecimal("0.40")).rent(BigDecimal.ZERO).V6(BigDecimal.ONE).build();
        weightBOS.add(w1);
        weightBOS.add(w2);
        weightBOS.add(w3);
        weightBOS.add(w4);
        weightBOS.add(w5);
        cityBaseLandPriceBuilder.businessCenter54(baseBOS,weightBOS,634L,null);
   }
}