package com.dayou.report;

import cn.hutool.core.convert.CastUtil;
import cn.hutool.core.util.StrUtil;
import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.dayou.exception.ErrorCode;
import com.dayou.report.calculation.cityPrice.bo.BusinessCenterBaseBO;
import com.dayou.report.calculation.cityPrice.bo.BusinessCenterIndexWeightBO;
import com.dayou.report.dto.CalculateDataDTO;
import com.dayou.report.dto.Params;
import com.dayou.report.dto.TableData;
import com.dayou.report.enums.TableNoEnum;
import com.dayou.report.html.builder.CityBaseLandPriceBuilder;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.List;


/**
 * 报告中的逻辑计算
 *
 * @author wucl
 * @since 2023-09-05
 */
@Component
public class ActionConvertHandler {

    @Autowired
    private CityBaseLandPriceBuilder cityBaseLandPriceBuilder;


    public Boolean businessCenter54(String dataString){

        try {
            String baseClazzName = BusinessCenterBaseBO.class.getName();
            String indexWeightClazzName = BusinessCenterIndexWeightBO.class.getName();
            List<BusinessCenterBaseBO> baseBOS = null;
            List<BusinessCenterIndexWeightBO> weightBOS = null;
            JSONObject jsonObject = JSONObject.parseObject(dataString, JSONObject.class);
            JSONArray tables = (JSONArray) jsonObject.get("tableData");
            Long sectionId = Long.valueOf(String.valueOf(jsonObject.get("sectionId")));
            JSONArray jsonArray = jsonObject.getJSONArray("params");
            List<Params> params = jsonArray.toJavaList(Params.class);
            for (Object data : tables){
                JSONObject d = (JSONObject) data;
                String tableNo = (String) d.get("tableNo");
                String name = TableNoEnum.getClassByTableNo(tableNo);
                if (StrUtil.isNotBlank(name) && name.equals(baseClazzName)){
                    baseBOS = d.getJSONArray("data").toJavaList(BusinessCenterBaseBO.class);
                }else if (StrUtil.isNotBlank(name) && name.equals(indexWeightClazzName)) {
                    weightBOS = d.getJSONArray("data").toJavaList(BusinessCenterIndexWeightBO.class);
                }
            }
            return  cityBaseLandPriceBuilder.businessCenter54(baseBOS,weightBOS,sectionId,params);
        } catch (Exception e) {
            e.printStackTrace();
            ErrorCode.throwBusinessException(ErrorCode.CUSTOM_ERROR,"计算输出存在错误，请检查后再试。");
            return Boolean.FALSE;
        }
    }
}

